<?php

namespace App\Entities\Part;

use App\Models\Part\CSModel;

class CSEntity extends PartEntity
{
    const PK = CSModel::PK;
    const TITLE = CSModel::TITLE;
    public function __construct(array|null $data = null)
    {
        $this->attributes['type'] = '';
        $this->attributes['ip'] = '';
        $this->attributes['accountid'] = '';
        $this->attributes['domain'] = '';
        parent::__construct($data);
    }
    //기본기능   
    final public function  getClientInfoUid(): int|null
    {
        return $this->attributes['clientinfo_uid'];
    }
    final public function  getServiceInfoUid(): int|null
    {
        return $this->attributes['serviceinfo_uid'];
    }
    final public function  getServerInfoUid(): int|null
    {
        return $this->attributes['serverinfo_uid'];
    }
    public function getIP(): string
    {
        return $this->attributes['ip'] ?? '';
    }
    //기본기능    
    public function getAccountID(): string
    {
        return $this->attributes['accountid'] ?? "";
    }
    public function getDomain(): string
    {
        return $this->attributes['domain'] ?? "";
    }
    //abstract 선언처리용
}
